[PC-BSD Testing] Upgrading from 9.1-RC3 to 9.1-RELEASE

Julian Elischer julian at freebsd.org
Sat Jan 26 14:57:16 PST 2013


On 1/24/13 11:00 PM, Johann Hugo wrote:
> On Tuesday 22 January 2013 09:22:32 Kris Moore wrote:
>
>  > On 01/21/2013 01:54, Johann Hugo wrote:
>
>  > >
>
>  > > Hi
>
>  > >
>
>  > >
>
>  > >
>
>  > > What is the best way to upgrade from 9.1-RC3 to 9.1-RELEASE. I've
>
>  > > tried the system update manager, but I get an error: No such
> meta-pkg:
>
>  > > Unsupported-Desktops.


I hit this and just retried.. each time it seemed to get further.

>
>  > >
>
>  > >
>
>  > >
>
>  > > Regards
>
>  > >
>
>  > > Johann
>
>  > >
>
>  > >
>
>  > >
>
>  > >
>
>  > >
>
>  > >
>
>  > >
>
>  > > _______________________________________________
>
>  > > Testing mailing list
>
>  > > Testing at lists.pcbsd.org
>
>  > > http://lists.pcbsd.org/mailman/listinfo/testing
>
>  >
>
>  > What meta-pkgs do you have installed? If you uninstall the
>
>  > unsupported-desktop ones in RC3 before starting the install, does it
>
>  > continue?
>
>  >
>
>  >
>
> There are a couple of meta packages that prevents it from updating and
> I cannot delete them .
>
> E.g.
>
> -----------------------------------------------------------------
>
> pc-metapkgmanager list | grep Unsupported -B 5
>
> ...
>
> Meta Package: Unsupported-Desktops
>
> -------------------------------------
>
> Description: Additional desktops and Window Managers for experts.
>
> Icon: /var/db/pc-metapkgmanager/pkgsets/pcbsd/Unsupported-Desktops/pkg-
>
> icon.png
>
>   pc-metapkgmanager status Unsupported-Desktops
>
> ERROR: No such meta-pkg: Unsupported-Desktops
>
> pc-metapkgmanager del Unsupported-Desktops
>
> Pending Meta-Package changes: 1
>
> ERROR: No such meta-pkg: Unsupported-Desktops
>
> more
> /var/db/pc-metapkgmanager/pkgsets/pcbsd/Unsupported-Desktops/pkg-desc
>
> Additional desktops and Window Managers for experts.
>
> Same error from update manager:
>
> Failed to install:System Update to 9.1 ERROR: No such meta-pkg:
> Unsupported-
>
> Desktops
>
> pc-metapkgmanager del Misc
>
> Pending Meta-Package changes: 1
>
> ERROR: No such meta-pkg: Misc
>
> -------------------------------------------------------------
>
> In the end I just moved them away from
>
> /var/db/pc-metapkgmanager/pkgsets/pcbsd/
>
> Here is the list of directories I moved:
>
> Desktops
>
> Development-IDE
>
> GNOME
>
> Hardware-Drivers
>
> KDE
>
> LXDE
>
> Misc
>
> Unsupported-Desktops
>
> XFCE
>
> After that the upgrade completed.
>
> Johann
>
>
>
> _______________________________________________
> Testing mailing list
> Testing at lists.pcbsd.org
> http://lists.pcbsd.org/mailman/listinfo/testing
>



More information about the Testing mailing list